Modify

Opened 5 years ago

Closed 5 years ago

Last modified 4 years ago

#5558 closed defect (worksforme)

easy_install complains about not finding a setup script in "anyrelease" directory

Reported by: boftx@… Owned by: k0s
Priority: normal Component: TracSqlHelperScript
Severity: major Keywords:
Cc: boftx@… Trac Release: 0.11

Description

Here are two outputs from running easy_install that failed when trying to install this module. The first is from TicketMoverPlugin, and the second is when trying to install the module by itself. It appears that TicketMoverPlugin won't run without this.

bash-2.05# easy_install ticketmoverplugin
Processing ticketmoverplugin
Running 0.11/setup.py -q bdist_egg --dist-dir /usr/local/trac/DOWNLOADS/ticketmoverplugin/0.11/egg-dist-tmp-kCc8kP
Adding TicketMoverPlugin 0.1.1 to easy-install.pth file

Installed /usr/local/lib/python2.5/site-packages/TicketMoverPlugin-0.1.1-py2.5.egg
Processing dependencies for TicketMoverPlugin==0.1.1
Searching for TracSQLHelper
Best match: TracSQLHelper [unknown version]
Downloading http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease#egg=TracSQLHelper
Doing subversion checkout from http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease to /tmp/easy_install-8ayXbY/anyrelease
svn: Unrecognized URL scheme for 'http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease'
Processing anyrelease
error: Couldn't find a setup script in /tmp/easy_install-8ayXbY/anyrelease
bash-2.05# easy_install http://trac-hacks.org/svn/tracsqlhelperscript 
Downloading http://trac-hacks.org/svn/tracsqlhelperscript
Doing subversion checkout from http://trac-hacks.org/svn/tracsqlhelperscript to /tmp/easy_install-TAoNmX/tracsqlhelperscript
svn: Unrecognized URL scheme for 'http://trac-hacks.org/svn/tracsqlhelperscript'
Processing tracsqlhelperscript
error: Couldn't find a setup script in /tmp/easy_install-TAoNmX/tracsqlhelperscript

Attachments (0)

Change History (4)

comment:1 Changed 5 years ago by k0s

  • Resolution set to worksforme
  • Status changed from new to closed

worksforme;

(tmp)> easy_install http://trac-hacks.org/svn/ticketmoverplugin/0.11/
Downloading http://trac-hacks.org/svn/ticketmoverplugin/0.11/
Doing subversion checkout from http://trac-hacks.org/svn/ticketmoverplugin/0.11/ to /tmp/easy_install-U2bWMx/0.11
Processing 0.11
Running setup.py -q bdist_egg --dist-dir /tmp/easy_install-U2bWMx/0.11/egg-dist-tmp-eJwGt3
Adding TicketMoverPlugin 0.1.1 to easy-install.pth file

Installed /home/jhammel/tmp/lib/python2.5/site-packages/TicketMoverPlugin-0.1.1-py2.5.egg
Processing dependencies for TicketMoverPlugin==0.1.1
Searching for TracSQLHelper
Best match: TracSQLHelper [unknown version]
Downloading http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease#egg=TracSQLHelper
Doing subversion checkout from http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease to /tmp/easy_install-E5R4ee/anyrelease
Processing anyrelease
Running setup.py -q bdist_egg --dist-dir /tmp/easy_install-E5R4ee/anyrelease/egg-dist-tmp-NUhAGC
Adding TracSQLHelper 0.1 to easy-install.pth file

Installed /home/jhammel/tmp/lib/python2.5/site-packages/TracSQLHelper-0.1-py2.5.egg
Searching for TicketSidebarProvider
Best match: TicketSidebarProvider [unknown version]
Downloading http://trac-hacks.org/svn/ticketsidebarproviderplugin/0.11#egg=TicketSidebarProvider
Doing subversion checkout from http://trac-hacks.org/svn/ticketsidebarproviderplugin/0.11 to /tmp/easy_install-SupvDF/0.11
Processing 0.11
Running setup.py -q bdist_egg --dist-dir /tmp/easy_install-SupvDF/0.11/egg-dist-tmp-4MJbMG
Adding TicketSidebarProvider 0.0 to easy-install.pth file

Installed /home/jhammel/tmp/lib/python2.5/site-packages/TicketSidebarProvider-0.0-py2.5.egg
Searching for Trac
Reading http://pypi.python.org/simple/Trac/
Reading http://trac.edgewall.com/
Reading http://trac.edgewall.org/wiki/TracDownload
Reading http://projects.edgewall.com/trac
Reading http://projects.edgewall.com/trac/wiki/TracDownload
Best match: Trac 0.11.5
Downloading ftp://ftp.edgewall.com/pub/trac/Trac-0.11.5.zip
Processing Trac-0.11.5.zip
Running Trac-0.11.5/setup.py -q bdist_egg --dist-dir /tmp/easy_install-p-NJrq/Trac-0.11.5/egg-dist-tmp-9vmZAm
Adding Trac 0.11.5 to easy-install.pth file
Installing trac-admin script to /home/jhammel/tmp/bin
Installing tracd script to /home/jhammel/tmp/bin

Installed /home/jhammel/tmp/lib/python2.5/site-packages/Trac-0.11.5-py2.5.egg
Searching for Genshi>=0.5
Reading http://pypi.python.org/simple/Genshi/
Reading http://genshi.edgewall.org/
Reading http://genshi.edgewall.org/wiki/Download
Best match: Genshi 0.5.1
Downloading http://ftp.edgewall.com/pub/genshi/Genshi-0.5.1-py2.5-linux-i686.egg
Processing Genshi-0.5.1-py2.5-linux-i686.egg
Moving Genshi-0.5.1-py2.5-linux-i686.egg to /home/jhammel/tmp/lib/python2.5/site-packages
Adding Genshi 0.5.1 to easy-install.pth file

Installed /home/jhammel/tmp/lib/python2.5/site-packages/Genshi-0.5.1-py2.5-linux-i686.egg
Finished processing dependencies for TicketMoverPlugin==0.1.1

This is probably a bug with your version of setuptools, guessing.

comment:2 Changed 5 years ago by anonymous

Turns out to be a bug in my knowledge of how easy_install works (being very new to python). Once I figured out I could give the name of the version directory to easy_install it installed ok. Having now seen that a download file can contain multiple versions this makes sense. (Do I dare suggest the documentation for how to install Trac plugins leaves a bit to be desired?)

comment:3 Changed 4 years ago by szybalski@…

Could you specify what command works.
I just did
svn co http://trac-hacks.org/svn/ticketmoverplugin/
cd ticketmoverplugin/0.11/

python setup.py install
running install
running bdist_egg
running egg_info
writing requirements to TicketMoverPlugin.egg-info/requires.txt
writing TicketMoverPlugin.egg-info/PKG-INFO
writing top-level names to TicketMoverPlugin.egg-info/top_level.txt
writing dependency_links to TicketMoverPlugin.egg-info/dependency_links.txt
writing entry points to TicketMoverPlugin.egg-info/entry_points.txt
writing manifest file 'TicketMoverPlugin.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_py
creating build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/ticketmoverplugin
copying build/lib/ticketmoverplugin/web_ui.py -> build/bdist.linux-x86_64/egg/ticketmoverplugin
copying build/lib/ticketmoverplugin/ticketmover.py -> build/bdist.linux-x86_64/egg/ticketmoverplugin
copying build/lib/ticketmoverplugin/__init__.py -> build/bdist.linux-x86_64/egg/ticketmoverplugin
creating build/bdist.linux-x86_64/egg/ticketmoverplugin/templates
copying build/lib/ticketmoverplugin/templates/ticketmover-sidebar.html -> build/bdist.linux-x86_64/egg/ticketmoverplugin/templates
byte-compiling build/bdist.linux-x86_64/egg/ticketmoverplugin/web_ui.py to web_ui.pyc
byte-compiling build/bdist.linux-x86_64/egg/ticketmoverplugin/ticketmover.py to ticketmover.pyc
byte-compiling build/bdist.linux-x86_64/egg/ticketmoverplugin/__init__.py to __init__.pyc
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/entry_points.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/not-zip-safe -> build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying TicketMoverPlugin.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
creating 'dist/TicketMoverPlugin-0.1.1-py2.5.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing TicketMoverPlugin-0.1.1-py2.5.egg
removing '/usr/lib/python2.5/site-packages/TicketMoverPlugin-0.1.1-py2.5.egg' (and everything under it)
creating /usr/lib/python2.5/site-packages/TicketMoverPlugin-0.1.1-py2.5.egg
Extracting TicketMoverPlugin-0.1.1-py2.5.egg to /usr/lib/python2.5/site-packages
TicketMoverPlugin 0.1.1 is already the active version in easy-install.pth

Installed /usr/lib/python2.5/site-packages/TicketMoverPlugin-0.1.1-py2.5.egg
Processing dependencies for TicketMoverPlugin==0.1.1
Searching for TracSQLHelper
Best match: TracSQLHelper [unknown version]
Downloading http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease#egg=TracSQLHelper
error: Unexpected HTML page found at http://trac-hacks.org/svn/tracsqlhelperscript/anyrelease#egg=TracSQLHelper

Seems like TracSQLHelper is missing:

easy_install TracSQLHelper
Searching for TracSQLHelper
Reading http://pypi.python.org/simple/TracSQLHelper/
Couldn't find index page for 'TracSQLHelper' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
No local packages or download links found for TracSQLHelper
error: Could not find suitable distribution for Requirement.parse('TracSQLHelper')

comment:4 Changed 4 years ago by szybalski@…

I guess the key was to get it from svn:

svn co http://trac-hacks.org/svn/tracsqlhelperscript/
cd tracsqlhelperscript/anyrelease
python setup.py install

same for
svn co http://trac-hacks.org/svn/ticketsidebarproviderplugin/
#enter the folder
python setup.py install

And now install the ticketmoverplugin

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.